# -*- encoding: utf-8 -*-
# stub: better-initialize 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "better-initialize".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Huned Botee".freeze]
  s.date = "2015-03-08"
  s.description = "# better-initialize\n\nA friendlier, dependency-free initialize method for ruby objects.\n\n## Usage\n\nGemfile:\n\n    gem 'better-initialize',\n      github: 'huned/better-initialize'\n\nCode:\n\n    require 'better_initialize'\n\n    class Pizza\n      include BetterInitialize\n      attr_accessor :size, :toppings\n    end\n\n    # Instantiate with attributes.\n    Pizza.new(size: :large, toppings: %i[mushrooms peppers])\n\n    # Instantiate with attributes and a block.\n    Pizza.new(size: :large) do |pizza|\n      pizza.toppings = %w[mushrooms peppers]\n      Oven.bake!(pizza)\n    end\n\n## Development Environment (OSX)\n\n    brew install rbenv ruby-build\n    git clone git@github.com:huned/better-initialize\n    rbenv install -k `cat .ruby-version`\n    bundle exec ruby test/run.rb\n".freeze
  s.email = "huned@734m.com".freeze
  s.homepage = "https://github.com/huned/better-initialize".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A better ruby initialize.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
    s.add_development_dependency(%q<byebug>.freeze, [">= 0"])
  else
    s.add_dependency(%q<test-unit>.freeze, [">= 0"])
    s.add_dependency(%q<byebug>.freeze, [">= 0"])
  end
end
